/*
 * callbacks.h
 */

#include <msp430.h>
#include <stdbool.h>
#include <stdint.h>
#include <HAL.h>
#include <GUI.h>
#include <Include/GUIComm.h>
#include <Include/QmathLib.h>


#ifndef INCLUDE_CALLBACKS_H_
#define INCLUDE_CALLBACKS_H_

// Functions to receive data from GUI
extern void GUICallback_VREF(char * string);
extern void GUICallback_FREQ(char * string);

extern void GUICallback_PWM0(char * string);
extern void GUICallback_PWM1(char * string);
extern void GUICallback_PWM2(char * string);
extern void GUICallback_PWM3(char * string);

extern void GUICallback_INT0(char * string);
extern void GUICallback_INT1(char * string);
extern void GUICallback_INT2(char * string);
extern void GUICallback_INT3(char * string);

extern void GUICallback_ADC0_MODE(char * string);
extern void GUICallback_ADC1_MODE(char * string);
extern void GUICallback_ADC2_MODE(char * string);
extern void GUICallback_ADC3_MODE(char * string);

extern void GUICallback_PGA0_MODE(char * string);
extern void GUICallback_PGA0_INPUTP(char * string);
extern void GUICallback_PGA0_GAIN(char * string);
extern void GUICallback_PGA0_DAC(char * string);
extern void GUICallback_PGA1_MODE(char * string);
extern void GUICallback_PGA1_INPUTP(char * string);
extern void GUICallback_PGA1_GAIN(char * string);
extern void GUICallback_PGA1_DAC(char * string);
extern void GUICallback_PGA2_MODE(char * string);
extern void GUICallback_PGA2_INPUTP(char * string);
extern void GUICallback_PGA2_GAIN(char * string);
extern void GUICallback_PGA2_DAC(char * string);
extern void GUICallback_PGA3_MODE(char * string);
extern void GUICallback_PGA3_INPUTP(char * string);
extern void GUICallback_PGA3_GAIN(char * string);
extern void GUICallback_PGA3_DAC(char * string);

extern void GUICallback_COMP0_MODE(char * string);
extern void GUICallback_COMP0_INPUTP(char * string);
extern void GUICallback_COMP0_INPUTN(char * string);
extern void GUICallback_COMP0_DAC(char * string);
extern void GUICallback_COMP1_MODE(char * string);
extern void GUICallback_COMP1_INPUTP(char * string);
extern void GUICallback_COMP1_INPUTN(char * string);
extern void GUICallback_COMP1_DAC(char * string);
extern void GUICallback_UPDATE(char * string);

#endif /* INCLUDE_CALLBACKS_H_ */


